
Redmine - Defect #31751

Redmine 500 error / Internal error
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.4

Description

Following How to install of redmine on fedora 29

https://www.redmine.org/projects/redmine/wiki/Install_Redmine_on_Fedora

in two separate installation by separate people, we always get

Redmine 500 error / Internal error with appropriate notice to check redmine logs,

and well the problem is there is no error.

Reproducible always latest fedora 30 redmine 4.0.4/passenger 6.0.2/nginx 1.6.0

In all cases ruby server on port 3000 works

At the end I started all as a root and I got some interesting files in /opt/nginx/logs

that I would not expect to see, you see them bellow

rw-r--r-.  1 root root  145 Jul 16 11:13  access.log

rw-r--r-.  1 root root 7105 Jul 17 09:50  error.log

rw-r--r-.  1 root root    0 Jul 17 22:42 'javascript_history.back()mine 500 error'

rw-r--r-.  1 root root    0 Jul 17 22:42 'javascript_history.back() on the page you were trying to access.'

rw-r--r-.  1 root root    5 Jul 16 11:12  nginx.pid

I did nothing anything useful in logs , but ruby server standalone works fine,

but with this combination nginx(web server)->passenger(web) server->ruby(opet web server)

we always get same problem.

just to mention selinux was off.

Any idea what could be wrong?

Thank you,

Zoran

History

#1 - 2019-07-18 08:14 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forums for questions. Reading How to request help may be helpful for you.

#2 - 2019-07-19 22:13 - Zoran Davidovac

Btw you may notice that "How to request help" is very outdated ie there is no script/about in redmine 4.0.4,

in general documentation is quite outdated :(

I would re-consider why there are created files as in log folder instead just closing it.

rw-r--r-. 1 root root 0 Jul 17 22:42 'javascript_history.back()mine 500 error'

rw-r--r-. 1 root root 0 Jul 17 22:42 'javascript_history.back() on the page you were trying to access.'

As these files clearly show potential vulnerability...

This does not happen with 3.4.x but I did not inspect deep enough.
